## software-center 1.0.2

=== debian/changelog ===
software-center (1.0.2) karmic; urgency=low

  * debian/triggers:
    - trigger on language-pack updates to ensure we get updated
      translations on app-install-data-ubuntu into the xapian
      database  (LP: #456459)
  * utils/update-software-center:
    - when triggered from a langpack update compare mo file
      time in order to prevent unneeded updates

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Oct 2009 11:24:07 +0200

software-center (1.0.1) karmic; urgency=low

  * debian/control:
    - update vcs link to lp:~ubuntu-core-dev/software-center/karmic
  * softwarecenter/view/dialogs.py:
    - merge fix from Andrew Higginson for modal dialog bug (#455327)
  * softwarecenter/view/appdetailsview.py:
    - do not crash if gconfd is not running (LP: #452559)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Oct 2009 15:04:14 +0200

software-center (1.0) karmic; urgency=low

  * softwarecenter/view/appdetailsview.py:
    - use screenshots.ubuntu.com as screenshot url
  * softwarecenter/view/catview.py:
    - do not crash for unavailable categories with <OnlyUnallocated>
      (LP: #451922)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Oct 2009 18:35:58 +0200

software-center (0.5.2) karmic; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/appdetailsview.py:
    - deal with connection refused errors properly
    - use shorter default socket timeout to avoid hangs when
      the screenshot site is unavailable
  * softwarecenter/db/database.py:
    - require explicit open() to avoid possible race (LP: #449385)
  * softwarecenter/view/widgets/imagedialog.py:
    - fix crash when unknown error happend during screenshot download
      (LP: #4479829)
  * data/ui/SoftwareCenter.ui:
    - change unicode "..." to three "." to work around bug in 
      gtkbuilder/intltool that makes strings with them untranslatable
      (https://bugzilla.gnome.org/show_bug.cgi?id=596205) (LP: #450600)
  * po/*:
    - sync from rosetta and unfuzzy the strings that move
      from &#2026; to "..." (LP: #450600)
  * softwarecenter/view/catview.py
    - do not crash if a desktop-directory can not be foudn or is
      invalid (LP: #450842)
  * utils/update-software-center:
    - do not crash if glib is not available (e.g. during a upgrade)
      (LP: #450793)
  * install the softwarecenter-installed emblem into a private dir
    to make not show up in the nautilus emblems folder (LP: #437385)
  
  [ Josh Holland ]
  * Fixed up man page (LP: #448896)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Oct 2009 11:51:26 +0200

software-center (0.5.1) karmic; urgency=low

  * icon updates from Kenneth Wimer 
  * softwarecenter/db/update.py: 
    - fix index bug in pkgname handling
  * make screenshots scrollable (LP: #439420)
  * fix reopen() handling by not using xapian.Database.reopen()
    but instead do a full open of the db (LP: #430603)
  * softwarecenter/view/appdetailsview.py:
    - add support for http proxies (LP: #446069)
    - fix crash in cdrom handling (LP: #446269)
    - do not show error when a transaction is cancelt 
      (LP: #440941)
  * softwarecenter/view/widgets/imagedialog.py:
    - change default window size to match the default image
      size from screenshots.debian.net (LP: #445938)
  * debian/control:
    - depend on the latest aptdaemon for working proxy support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Oct 2009 18:25:10 +0200

software-center (0.5.0) karmic; urgency=low

  * softwarecenter/db/update.py:
    - when using getdefaultlocale() change the order of the environment
      variable that are checked to 'LANGUAGE','LANG','LC_CTYPE','LC_ALL'
      LP: #444316
  * add support RTL in the webkit widgets
  * Merged from Matthew McGowan:
    - better integration of the arrow button with the used theme
    - update arrow button when style changes (supports high contrast
      themes and somesuch now too)
    - support RTL langauges with the arrow button
    - new pathbar can be activated via SOFTWARE_CENTER_NEW_PATHBAR=1
      in the environment (not used by default)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 07 Oct 2009 15:52:40 +0200

software-center (0.4.6) karmic; urgency=low

  * debian/control:
    - add versionized dependency to aptdaemon (needs some of the
      latest API for the async calls) LP: #444218
  * softwarecenter/view/pendingview.py:
    - display the operation (Install Packages, Remove Packages,
      Applying Changes) for operations that come from outside 
      software-center (LP: #444254)
  * softwarecenter/app.py:
    - do not crah on corrupted database
  * utils/update-software-center:
    - ignore if dbus can not be imported (e.g. because we are in 
      the middle of a upgrade and python packages are unavailable)
      LP: #443177)
    - do not show full stacktrace if dbus is not available 
      (LP: #444089)
    - add a small delay between dubs rebuild signal and actual rebuild
      (LP: #438639)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Oct 2009 11:27:09 +0200

software-center (0.4.5) karmic; urgency=low

  * softwarecenter/view/appdetailsview.py:
    - avoid blocking if the authentication dialog comes up 
      (LP: #436413)
  * softwarecenter/view/appdetailsview.py:
    - switch to use urls that return 404 if a package has no
      screenshot
  * softwarecenter/view/widgets/imagedialog.py,
    softwarecenter/view/appdetailsview.py:
    - merge lp:~mvo/software-center/ubuntu-404 that implements 404 
      handling and show ubuntu branded dummy image (LP: #425874)
  * softwarecenter/view/appview.py:
    - support environment to switch sorting for searches:
      SOFTWARE_CENTER_SEARCHES_SORT_MODE={popcon,alphabetic,xapian}
      (to be able to test the different mode quickly)
  * softwarecenter/view/appdetailsview.py:
    - fix crash when no icon can be found (LP: #442040, LP: #440306)
  * softwarecenter/view/catview.py:
    - do not crash if no icon can be found (LP: #441171)

