## software-center 1.0.3

=== debian/changelog ===
software-center (1.0.3) karmic-proposed; urgency=low

  * Fix warning when removing software that other software depends
    on for non-english locales (LP: #486474)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Jan 2010 10:27:20 +0100
