=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
	       lsb-release,
               gettext,
               intltool,
               python,
               python-central,
               python-distutils-extra,
	       python-setuptools
Standards-Version: 3.8.3
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/karmic

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         gnome-icon-theme,
	 gnome-menus,
	 python-xapian,
         python-apt (>= 0.7.13),
	 python-aptdaemon,
	 python-aptdaemon-gtk,
         python-dbus,
	 policykit-1,
	 policykit-1-gnome | policykit-1-qt,
         python-gtk2,
	 python-webkit,
	 python-sexy,
	 python-gconf,
	 aptdaemon (>= 0.10+bzr259)
Recommends: lsb-release
Conflicts: software-store
Replaces: software-store
Provides: software-store
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Ubuntu Software Center lets you browse and install thousands of 
 free applications available for Ubuntu. You can view available 
 applications by category, or search quickly by name or description. 
 You can also examine the applications already installed, and remove
 those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.
