## software-center 2.0.2

=== debian/changelog ===
software-center (2.0.2) lucid; urgency=low

  * softwarecenter/view/appview.py:
    - improve responsiveness of the listview by caching the 
      rendered icons (LP: #556290)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 18 Apr 2010 13:42:50 +0200

software-center (2.0.1) lucid; urgency=low

  [ Olivier Tilloy ]
  * When computing the size of a PathPart, always set the requested height
    of the parent PathBar. This prevents the navigation bar from
    "disappearing" (its height was somehow set to 1) (LP: #564042)

  [ Michael Vogt ]
  * cherry r730 lp:~mmcg069/software-center/minor-change/changes:
    - fix CellRendererAppView text rendering when using hicolor gtk theme
    (LP: #564694)
  * softwarecenter/view/viewswitcher.py:
    - fix displaying duplicated entries in the partner channel
      (LP: #564789)
  * softwarecenter/view/availablepane.py, 
    softwarecenter/view/channelpane.py,
    softwarecenter/view/installedpane.py:
    - only send size information signals if we actually have a model
      (LP: #564756)
  * softwarecenter/view/availablepane.py:
    - if we get a "search-terms-changed" signal while in the applicatin
      details page it got delivered asynchronously and must be discarded
      (LP: #563524)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 23:27:14 +0200

software-center (2.0) lucid; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/channelpane.py:
    - fix crash when gdk window is not (yet) available (LP: #560320)
  * softwarecenter/view/appdetailsview.py, 
    softwarecenter/distro/__init__.py,
    softwarecenter/distro/Ubuntu.py:
    - do not show "Free" for packages from the partner repository, we 
      don't know the status of the freeness there (LP: #552830)
  * merged lp:~vish.../software-center/avoidmonochromeicon, many thanks
  * re-enable action button if confirm dialog got canceled (LP: #562810)
  * merged lp:~zkrynicki/software-center/improve-html, many thanks
    (final bits for LP: #455320), add simple test

  [ Matthew McGowan ]
  * softwarecenter/view/availablepane.py:
    - ensure we have a model before sending changed signal (LP: #560967)
  * softwarecenter/view/dialogs.py:
    - ensure image size does not grow out of proportion (LP: #560021)
  * softwarecenter/view/appview.py:
    - make rows more dynamic (LP: #557798)
  * softwarecenter/view/widgets/pathbar_gtk_atk.py:
    - fix resizing bugs in style-set events

  [ Gary Lasker ]
  * softwarecenter/view/navhistory.py:
    - clear forward navigation history items from the
      stack on an direct navigation, fixes regression
      (LP: #563128) 
  * softwarecenter/view/channelpane.py:
    - ensure we have a model before sending app-list-changed
      signal (LP: #560716)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 01:25:12 +0200

software-center (1.1.26) lucid; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py:
    - correctly refresh the availablepane view on a
      change to software sources (LP: #559539)
  * softwarecenter/app.py,
    softwarecenter/view/availablepane.py,
    softwarecenter/view/navhistory.py:
    - clear navigation history on a software channel refresh
      because packages in the history stack might no longer
      be available
  
  [ Michael Vogt ]
  * softwarecenter/view/appdetailsview.py:
    - fix displaying removal warning when listview interface buttons
      are used (LP: #561018)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Apr 2010 22:57:30 +0200

software-center (1.1.25) lucid; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent AttributeError if a model doesn't
      exist when checking node expanded state (LP: #554388)
  * softwarecenter/view/viewswitcher.py:
    - fix nasty list view errors when disabling partner
      repository (LP: #556995)
  * softwarecenter/view/appview.py:
    - fix intermittent AttributeError in row selection
      (LP: #552224)
  * softwarecenter/view/availablepane.py:
    - fix double call to set_category method
  * softwarecenter/view/channelpane.py,
    softwarecenter/view/installedpane.py:
    - fix bug where clicking the "Search Results" navigation
      button in the "Installed View" or in a PPA/channel
      view has no effect (LP: #559732)
  * softwarecenter/view/channelpane.py:
    - fix bug where selecting a new PPA/channel while
      a search is in effect in the current PPA/channel
      does not display the new PPA/channel (LP: #559742)
  
  [ Michael Vogt ]
  * softwarecenter/apt/aptcache.py:
    - add file monitor to detect changes in the dpkg status
      when apt is run outside of software-center (LP: #432555)
  * softwarecenter/view/appdetailsview.py:
    - only show "needs updating" message if we have a component
      associated with the software-item (LP: #542892)
  * softwarecenter/db/database.py:
    - when we have no package and no information no how to get it, 
      display unavailable message instead of a empty summary line
  * merged lp:~mmcg069/software-center/pathbar-atk
    - this makes the pathbar on top fully accessible with e.g.
      orca (LP: #526384). Also fixes intermittent TypeError bug
      (LP: #558895) and nav button visual artifact when selecting
      a channel (LP: #531724).  Many thanks!
  * softwarecenter/view/appview.py:
    - avoid blocking if a operation takes long

  [ Zygmunt Krynicki ]
  * softwarecenter/view/appdetailsview.py:
    - use package name when application name is not available (LP: #549011)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 10 Apr 2010 16:29:10 +0200

software-center (1.1.24) lucid; urgency=low

  [ Michael Vogt ]
  * softwarecenter/view/appview.py:
    - make the applist better accessible by providing a text only
      description of the selected item (LP: #455307)
  * data/templates/AppDetailsView.html:
    - make the app details view better accessible with orca/accersier

  [ Gary Lasker ]

