=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                python,
                python-central,
                python-distutils-extra,
-	       python-setuptools
+	       python-setuptools,
+	       po4a
 Standards-Version: 3.8.3
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/karmic
+Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/trunk
 
 Package: software-center
 Architecture: all
@@ -22,18 +23,17 @@
          gnome-icon-theme,
 	 gnome-menus,
 	 python-xapian,
-         python-apt (>= 0.7.13),
-	 python-aptdaemon,
+         python-apt (>= 0.7.13.4ubuntu3),
+	 python-aptdaemon (>= 0.11+bzr342),
 	 python-aptdaemon-gtk,
          python-dbus,
 	 policykit-1,
-	 policykit-1-gnome | policykit-1-qt,
+	 policykit-1-gnome | policykit-1-kde,
          python-gtk2,
 	 python-webkit,
-	 python-sexy,
 	 python-gconf,
-	 aptdaemon (>= 0.10+bzr259)
-Recommends: lsb-release
+	 aptdaemon (>= 0.11+bzr322)
+Recommends: lsb-release, python-launchpad-integration, apt-xapian-index, update-notifier
 Conflicts: software-store
 Replaces: software-store
 Provides: software-store
@@ -47,3 +47,11 @@
  .
  To install or remove software using the Center, you need administrator
  access on the computer.
+
+Package: gnome-app-install
+Architecture: all
+Depends: software-center
+Section: oldlibs
+Description: dummy upgrade package for gnome-app-install -> software-center
+ This is a transitional package so that gnome-app-install users get
+ software-center on upgrades. It can be safely removed.
