## software-center 2.0.4

=== debian/changelog ===
software-center (2.0.4) lucid-proposed; urgency=low

  * Re-claim used memory after updating an existing AppStore with a 
    new one (LP: #577540), thanks to Olivier Tilloy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 May 2010 23:32:56 +0200

software-center (2.0.3) lucid-proposed; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - updated Vcs-Bzr location to point to lucid branch
  * softwarecenter/apt/aptcache.py:
    - fix flickering when a application is instaleld (LP: #563163)

  [ Olivier Tilloy ]
  * data/templates/AppDetailsView.html:
    - fix missing padding for small details window sizes (LP: #560026)
  * softwarecenter/view/widgets/searchentry.py:
   - Set the search entry's text color to black when not empty.
     This makes it readable on dark themes with a light text color by  
     default (LP: #500174)
  * softwarecenter/app.py:
    - avoid 100% usage when waiting for software-sources to finish
      (LP: #459521)
  * softwarecenter/view/navhistory.py:
    - keep the search terms updated to ensure the navigation history
      always has the latest used search terms (LP: #537512)

  [ Kiwinote ]
  * data/featured.menu.in:
    - Update featured applications list per Desktop team (LP: #548534)
    - Feature 'fretsonfire-game' rather than 'fretsonfire' (LP: #538646)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Apr 2010 19:06:44 +0200
