=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       po4a
 Standards-Version: 3.8.3
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/lucid
 
 Package: software-center
 Architecture: all
