## software-center 2.0.7

=== debian/changelog ===
software-center (2.0.7) lucid-proposed; urgency=low

  * softwarecenter/view/viewswitcher.py:
    - fix crash if partner channel cannot be detected
      (LP: #606452)

 -- Gary Lasker <gary.lasker@canonical.com>  Sat, 17 Jul 2010 01:35:07 -0400

software-center (2.0.6) lucid-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - only reselect a channel node when a model is available
      (LP: #578497)
  
  [ Michael Vogt ]
  * softwarecenter/view/viewswitcher.py:
    - remove specal cases for partner now that soyuz 
      LP: #552560 is fixed (LP: #604693)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Jul 2010 18:01:38 +0200

software-center (2.0.5) lucid-proposed; urgency=low

  [ Olivier Tilloy ]
  * Fix the database update when run with a Turkish locale 
    (patch by M. Vefa Bicakci). LP: #581207
  
  [ Michael Vogt ]
  * softwarecenter/view/installedpane.py:
    - do not crash if model is None (LP: #586306)

  [ Matthew McGowan ]
  * Fix draw artifacts in the back/forward buttons when the widgets
    are resized (lp:~mmcg069/software-center/backforward-redraw-fix)
    Fixes LP: #582143

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 May 2010 09:44:05 +0200
