## software-center 2.0.7debian7

=== debian/changelog ===
software-center (2.0.7debian7) unstable; urgency=low

  * po: Fix cases where the translation of 'Software Center' contains
    'Ubuntu', and replace all mentions of 'Ubuntu' in the translations
    of 'Provided by Debian' by 'Debian' (and unfuzzy them).
  * Fix cases where translations of categories do not appear (Closes: #602026)
  * Bring back license information by removing a hard-coded Ubuntu check,
    Closes: #603782

 -- Julian Andres Klode <jak@debian.org>  Wed, 24 Nov 2010 17:37:20 +0100

software-center (2.0.7debian6) unstable; urgency=low

  * Fallback to applications-other icon if the requested icon is
    not available (Closes: #592289)
  * Replace Ubuntu-specific parts of the help (finally Closes: #564276)
  * Import translation updates from Launchpad
  * po/help: Add a German help translation, based on Ubuntu's one.
  * "Correctly" build the documentation translations.
  * po: Add fixed pt_BR Translations by Sergio Cipolla (Closes: #601755)
  
 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Nov 2010 20:38:30 +0100

software-center (2.0.7debian5) unstable; urgency=medium

  * urgency=medium as the previous versions are unusable.
  * Update to new Xapian API (Closes: #596079); fix based on patch by
    Olly Betts.

 -- Julian Andres Klode <jak@debian.org>  Mon, 13 Sep 2010 08:19:45 +0200

software-center (2.0.7debian4) unstable; urgency=low

  * Determine CODENAME, DISTRO, RELEASE in version.py at run-time using
    lsb_release instead of defining them at build-time.

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 Aug 2010 17:31:39 +0200

software-center (2.0.7debian3) unstable; urgency=low

  * Depend on lsb_release instead of recommending it; otherwise the program
    does not start at all (because it calls lsb_release).

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Aug 2010 16:00:14 +0200

software-center (2.0.7debian2) unstable; urgency=low

  * debian/changelog:
    - Change distribution of 2.0.7debian1 to unstable (the old one was wrong).
  * debian/control:
    - Do not recommend python-launchpad-integration (Closes: #592175)

 -- Julian Andres Klode <jak@debian.org>  Sun, 08 Aug 2010 14:46:19 +0200

software-center (2.0.7debian1) unstable; urgency=low

  * Merge versions 2.0.4, 2.0.5, 2.0.6, 2.0.7 from Ubuntu lucid:
    - Fixes Canonical Partners handling (Closes: #579663)
  * Merge the unbranded icons from trunk (revno 772) and use them.
  * Cherry pick revisions 789 and 790 from trunk, and replace our own hack.
    - data/unbranded-software-center.desktop.in:
      + add unbranded desktop file
    - softwarecenter/distro/__init__.py:
      + add new "get_app_name", "get_app_description" methods for easier
        branding of downstreams
  * Upgrade Standards-Version to 3.9.1, no changes needed.
  * setup.py: Handle + and - in changelog version number (Closes: #577108).
  * Update Czech translation (Closes: #590856) [although translations should
    normally be done in Launchpad for increased collaboration].

 -- Julian Andres Klode <jak@debian.org>  Mon, 02 Aug 2010 16:21:21 +0200

software-center (2.0.3debian1) unstable; urgency=low

  * Merge from Ubuntu lucid branch.
  * debian/control:
    - Only conflict with gnome-app-install versions << 1 (Closes: #579534).
  * softwarecenter/view/catview.py:
    - Use "Software Center" instead of "Ubuntu Software Center" on non-Ubuntu.
  * debian/rules:
    - Do not use "Debian Software Center", but "Software Center"; and replace
      "for Debian" with "for your system" (Closes: #573776)

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Apr 2010 18:40:59 +0200

software-center (1.1.21debian2) unstable; urgency=low

  * softwarecenter/db/database.py:
    - Fix a typo introduced in the last upload which caused exceptions.
  * Complete the python-apt API fixes (Closes: #572073).

 -- Julian Andres Klode <jak@debian.org>  Mon, 29 Mar 2010 16:18:50 +0200

software-center (1.1.21debian1) unstable; urgency=low

  * Merge with Ubuntu.
  * Backport from Ubuntu bzr:
    - softwarecenter/db/update.py:
      + fix crash when locale is not supported
    - apt-xapian-index-plugin/*.py:
      + fix deprecation warnings (LP: #548665)
  * softwarecenter/view/appview.py:
    - Add from __future__ import with_statement for Python 2.5
  * Update to new python-apt API and stop using has_key (Closes: #572073).
  * debian/control:
    - Depend on python-xdg (Closes: #574779)
    - Recommend software-properties-gtk (Closes: #575202)

 -- Julian Andres Klode <jak@debian.org>  Mon, 29 Mar 2010 14:51:38 +0200

software-center (1.1.11debian1) unstable; urgency=low

  * Merge 1.1.11.
  * softwarecenter/db/update.py:
    - Use logging.warning instead of logging.exception (Closes: #568941)
  * debian/rules:
    - Replace Ubuntu by Debian in some files when not building on Ubuntu.
    - Use system-software-install as the icon on Debian.
  * debian/control:
    - Build depend on dpkg-dev >= 1.15.1 to use dpkg-vendor.
  * softwarecenter/app.py:
    - When not running on Ubuntu, remove the Views menu.
  * softwarecenter/apt/aptcache.py:
    - Use dep_type_untranslated instead of UntranslatedDepType if available.

 -- Julian Andres Klode <jak@debian.org>  Thu, 11 Feb 2010 18:37:35 +0100
