=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 %:
 	dh --with=python-central $@
+
+override_dh_auto_clean:
+	python setup.py build_i18n
+	dh_auto_clean
 
 # Install the modules in a private directory, as our applications are the
 # only ones using them.
@@ -12,10 +16,15 @@
 	# Move the scripts to $(SHARE) and relink them again later.
 	mv debian/tmp/usr/*bin/* debian/tmp/$(share)
 	rmdir debian/tmp/usr/*bin
+
+
+override_dh_install:
+	dh_install --fail-missing
+
 	dh_link $(share)/software-center usr/bin/software-center \
 	        $(share)/update-software-center usr/sbin/update-software-center
+
 	# Remove empty directories.
-	find debian/tmp/usr -type d -empty -delete
-	dh_install --fail-missing
+	find debian/*/usr -type d -empty -delete
 
 .PHONY: override_dh_auto_install
