## software-center 3.0.4

=== debian/changelog ===
software-center (3.0.4) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/appview.py:
    - fix intermittent crash in _set_cursor (LP: #617004)
  
  [ Michael Vogt ]
  * Create the log directory not on the import paths.py. Otherwise
    if the user upgrades using a sudo based tool (like apt-get) he
    may end up with a root owned log (LP: #652151)
  * softwarecenter/paths.py
    - ensure we don't create directories in /home when running as
      root
    - When detecting a not writable cache dir, try to remove it
      so that it gets re-created later with the right permissions.
      That will undo the damage in bug LP: #652151

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Oct 2010 10:40:08 +0200

software-center (3.0.3) maverick; urgency=low

  * softwarecenter/view/softwarepane.py:
    - Fix incorrect hide of the technical items search bar 
      (LP: #646584)
  * softwarecenter/backend/aptd.py, softwarecenter/utils.py:
    - Test if we have a Release.gpg file after a new for-pay repository 
      was added. In the initial update() the backend/libapt does not know
      yet if a signed repo should be expected. If the Release.gpg file
      is missing, re-try the operation. This should fix the 
      "unauthenticated" errors for the ricks-wallpapers purchase
  * softwarecenter/backend/aptd.py:
    - fix crash when the aptdaemon dies
    - improve logging for purchase processing
  * softwarecenter/log.py:
    - improve logging format
    - keep log in ~/.cache/software-center/software-center.log

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Sep 2010 21:36:36 +0200

software-center (3.0.2) maverick; urgency=low

  [ Kiwinote ]
  * softwarecenter/view/appdetailsview_gtk.py:
    - don't eat 'o ' character combinations within bullet points (LP: #646822)
      (test case: software-center deja-dup)
    - scale icon down when setting 'where is it' icon from path (LP: #645062)
      (test case: software-center briquolo (once installed))
  * softwarecenter/view/softwarepane.py:
    - don't offer to 'show 9k items' in searches, as we limit searches to 200
      items (LP: #648988)
      (test case: software-center search:library)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Sep 2010 22:43:18 +0200

software-center (3.0.1) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/db/update.py:
    - index the file even if "catalogedtime" is not yet written
      to /var/lib/apt-xapian-index/values (LP: #646018)
  * softwarecenter/view/purchasedialog.py:
    - set default window size to 640x400 (LP: #635215)
  
  [ Gary Lasker ]
  * softwarecenter/view/appdetailsview_gtk.py:
    - fix crash if iconname has no value (LP: #639934) 
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent crash when using arrow keys to
      expand/collapse nodes in the left nav pane (LP: #644176) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 24 Sep 2010 22:35:42 +0200

software-center (3.0) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/restfulclient.py:
    - setup cachedir to avoid unneeded wadl downloading (LP: #645837)
  * softwarecenter/utils.py:
    - fix crash if desktop_file_path does not contain "applications"
      (LP: #641071)
  * softwarecenter/backend/aptd.py:
    - add keyfile for whitelisted channel (LP: #645120)
  * softwarecenter/view/appdetailsview.py:
    - fix crash when reinstalling previous purchase 
      (LP: #645843)
  * softwarecenter/backend/restfulclient.py, softwarecenter/db/update.py,
    - use gio instead of restfulclient to get the available purchase
      items and properly use the etag values provided to avoid uneeded
      bandwidth usage and load on the server (LP: #645837)
  * utils/update-software-center-agent:
    - trivial logging fix to make --debug fully work
  * debian/changelog:
    - its 3.0!
  
  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/backend/channel.py:
    - fix multiple instances of the "Previous Purchases"
      item in the left navigation pane (LP: #645439)
  * README: 
    - fix typo

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Sep 2010 11:16:44 +0200

software-center (2.1.22.4) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/app.py:
    - expand available node if unexpanded when choosing to reinstall
      previous purchases (LP: #643566)
  
  [ Michael Vogt ]
  * softwarecenter/db/application.py:
    - fix adding channels via apturl (LP: #643571)
    - allow displaying text only channel eula files (LP: #643571)
  * softwarecenter/gwibber_helper.py:
    - test for the gwibber-poster binary (that one is called when
      the share button is clicked) as well as gconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Sep 2010 16:02:24 +0200

software-center (2.1.22.3) maverick; urgency=low

  * Merge the right branch for the gksu fix for LP: #640906

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 10:50:34 +0200

software-center (2.1.22.2) maverick; urgency=low

  [ Gabor Kelemen ]
  * Fix invocation of gksu, use the correct .desktop file. 
    Fixes LP: #640906
  * Specify the translation domain for gtkbuilder dialog. 
    Fixes LP: #640969
  * Correct misplaced parentheses, so that l10n of strings will work. 
    Fixes LP: #640972

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Sep 2010 09:59:53 +0200

software-center (2.1.22.1) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - fix intermittent crash in on_cursor_changed (LP: #625030)
  
  [ Michael Vogt ]
  * data/featured.menu.in: 
    - updated to include armagetronad, calibre, pdfmod as discussed
      on the ubuntu-desktop list

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Sep 2010 17:41:47 +0200

software-center (2.1.22) maverick; urgency=low

  [ Michael Vogt ]
  * softwarecenter/backend/aptd.py:
    - fix enable_component()

  [ Mohamed Amine IL Idrissi ]
  * debian/control: add python-launchpadlib as Suggests (LP: #634324)

