## software-center 3.0.10ubuntu0.1

=== debian/changelog ===
software-center (3.0.10ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: MITM via incorrect ssl cert validation (LP: #874242)
    - softwarecenter/view/purchasedialog.py: Set the ssl-ca-file libsoup
      property so ssl cert validation works.
    - CVE-2011-3150

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 18 Nov 2011 08:39:09 -0500

software-center (3.0.10) maverick-proposed; urgency=low

  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)

 -- Gary Lasker <gary.lasker@canonical.com>  Fri, 08 Jul 2011 18:01:01 -0400

software-center (3.0.9) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/db/update.py,
    test/test_appview.py,
    test/test_database.py:
    - track cataloged_time for items not in axi (e.g. for-purchase apps)
      so that they will show up in What's New, add/modify unit tests
      per the changes (LP: #684077)
    - fix icon display that have a "." in it (LP: #745942)
  * softwarecenter/db/update.py,
    softwarecenter/view/appdetailsview_gtk.py,
    test/test_downloader.py:
    - fix screenshot issues for apps for purchase and update unit
      test (LP: #791932)

  [ Olivier Tilloy ]
  * softwarecenter/apt/apthistory.py:
    - fix startup crash if the history file is corrupted (LP: #725186)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 15 Jun 2011 22:35:43 -0400

software-center (3.0.8) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/view/appdetailsview_gtk.py:
    - disable find-it-in-the-menu under Unity (LP: #639701)

  [ Michael Vogt ]
  * softwarecenter/app.py:
    - on a invalid locale, reset the locale to "C" to avoid
      later crashes in the apthistory that uses strptime 
      (lp: #630248) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Feb 2011 09:16:49 +0100

software-center (3.0.7) maverick-proposed; urgency=low

  [ Gary Lasker ]
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Dec 2010 20:37:29 +0100

software-center (3.0.6) maverick-proposed; urgency=low

  * softwarecenter/backend/aptd.py:
    - when enabling a channel like "Canonical Partner", ensure
      that the initial reload of the package data works 
      (LP: #666956)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Oct 2010 15:25:43 -0400

software-center (3.0.5) maverick-proposed; urgency=low

  [ Andrea Cimitan ]
  * fix rendering with Ambiance theme (LP: #635208)

  [ Kiwinote ]
  * softwarecenter/app.py:
    - support launching apturls via alt+F2 in gnome (LP: #653889)
  * softwarecenter/db/update.py:
    - use 'X-GNOME-FullName' rather than 'Name', when available (LP: #651260)
      (test case: software-center cheese empathy evolution gwibber)
  * softwarecenter/view/appview.py:
    - unblock pkg if transaction is cancelled (LP: #652903)
      (test case: launch s-c with a list view, choose a pkg, click install,
       cancel auth, click install again, install should work as normal)
  * softwarecenter/view/availablepane.py:
    - don't show 'hide 1 technical item' in featured category (LP: #651236)
      (test case: browse to featured category (by clicking 'all'))
    - don't show 'hide technical items' in system category, as we don't
      have any apps to show (LP: #636854)
      (test case: browse to 'System' category)
  * softwarecenter/view/historypane.py:
    - correctly split pkgnames for pkg transactions dated before 28-ish July
      (LP: #651241)
      (test case: view transaction in history pane dated pre 28 July)
  * softwarecenter/view/viewswitcher.py:
    - emit 'transactions-changed' signal after connecting to the backend so
      that we display any pending transactions (LP: #652927)
      (see bug report for test case)
  
  [ Michael Vogt ]
  * softwarecenter/backend/aptd.py:
    - use keyserver.ubuntu.com on port 80 by default to avoid problems
      on machines that filter the port 11371
  * softwarecenter/backend/restfulclient.py, softwarecenter/enums.py:
    - use plain http for the "what-is-available" API call
  * send user default language for "/apps" and "/subscription" requests
    now that the server is ready for this

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Oct 2010 16:13:10 +0200
