## software-center 3.0.12

=== debian/changelog ===
software-center (3.0.12) maverick-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-3.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 11 Jan 2012 23:29:45 -0500

software-center (3.0.11) maverick-proposed; urgency=low

  * cherry pick fix to allow webkit to create additional windows
    during the purchase - this is needed to support PayPal in the
    purchase process (LP: #893988)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2011 09:48:13 +0100
