=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-central,
               python-distutils-extra,
               python-setuptools
Standards-Version: 3.8.4
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~software-center-developers/software-center/3.0
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         app-install-data (>= 0.4.0),
         humanity-icon-theme,
         gnome-menus,
         python-xapian,
         python-apt (>= 0.7.93.1),
         python-aptdaemon (>= 0.31+bzr493),
         python-aptdaemon-gtk,
         python-debian (>= 0.1.15),
         python-dbus,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-gtk2,
         python-webkit,
         python-xdg,
         python-gconf,
         python-gmenu,
         aptdaemon (>= 0.31),
	 python-lazr.restfulclient,
         ubuntu-sso-client (>= 0.99.6)
Recommends: lsb-release, python-launchpad-integration, 
            apt-xapian-index (>= 0.38ubuntu1), update-notifier,
            software-properties-gtk, sessioninstaller
Conflicts: software-store, gnome-app-install (<< 1)
Replaces: software-store, gnome-app-install
Provides: software-store, gnome-app-install
Suggests: python-launchpadlib
XB-Python-Version: ${python:Versions}
Description: Utility for browsing, installing, and removing applications
 The Ubuntu Software Center lets you browse and install thousands of 
 free applications available for Ubuntu. You can view available 
 applications by category, or search quickly by name or description. 
 You can also examine the applications already installed, and remove
 those you no longer need.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.
